@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

.navbar{
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 15px 0;
    /*background-color: #000080#000080;*/
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.3s ease;
}

.navbar.sticky{
    padding: 30px 0;
    background-color: #000080;
    
}
.max-width{
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
}

.navbar .max-width{
    display: flex; 
    align-items: center;
    justify-content: space-between;
}

.navbar .logo a{
    color: #fff;
    font-size: 35px;
    font-weight: 600;
}
.navbar .logo a span{
    color: #fff;
}
.navbar.sticky .logo a span{
    color: #fff;
    transition: all 0.3s ease;
}
.navbar .menu li{
    list-style: none;
    display: inline-block;
}

.navbar .menu li a{
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    margin-left: 25px;
    transition: color 0.3s ease-in;
}
.navbar .menu li a:hover{
    color: #000080;
}
.menu-button{
    color: #fff;
    font-size: 23px;
    cursor: pointer;
    display: none;
} 


/*home section styling*/
.home{
    display: flex;
    background: url("images/programmer-removebg-preview.png") no-repeat 700px;
    background-color:darkcyan ;
    height: 100vh;
    color: #fff;
    min-height: 500px;
    font-family: 'Ubuntu',sans-serif;
}
.home .max-width{
    margin:auto 0 auto 40px;
}
.home .home-content .text-1{
    font-size: 27px;
    color: white;
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.3s ease;
}
.home .home-content .text-2{
    font-size: 60px;
    font-weight: 600;
    margin-left: -3px;
    color: #fff;
    font-family: 'Ubuntu', 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    transition: all 0.9s ease-in;
}
.home .home-content .text-3{
    font-size: 40px;
    margin: 5px;
    color: #fff;
    font-family: 'Ubuntu', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    transition: all 0.3s ease-in-out;
}
.home .home-content .text-3 span{
    color: #000080;
    font-weight: 500;
}
.home .home-content a{
    display: inline-block;
    background: #000080;
    color: #fff;
    font-size: 25px;
    padding: 12px 36px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid #000080;
    transform: all 0.3s ease-out;
}
.home .home-content a:hover{
    color:navy  ;
    background: none;
}
/* all similar content styling code */
section{
    padding: 100px 0;
}
.about,.services,.skills, .teams{
    font-family: 'Poppins',sans-serif;
}
section .title{
    position: relative;
    text-align: center;
    font-size: 40px;
    font-weight: 500;
    margin-bottom: 60px;
    padding-bottom: 20px;
    font-family: 'Ubuntu','Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
section .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
}
section .title::after{
    
    position: absolute;
    bottom: -12px;
    left: 50%;
    font-size: 20px;
    color: navy;
    padding: 5px;
    background: white;
    transform: translateX(-50%);
}
/*about section styling*/
section{
    padding: 100px 0;
}
 
 
 .about .about-content .column{
     width: 50%;
 }
 
 .about .title::after{
    content: "who i am";
   
}
.about .about-content,
.services .serv-content,
.skills .skills-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
.about .about-content .left{
    width: 45%;
}
 .about .about-content .left img{
     height: 400px;
     width: 400px;
     object-fit: cover;
     border-radius: 6px;
 }
 .about .about-content .right{
     width: 55%;
 }
 .about .about-content .right .text{
     font-size: 25px;
     font-weight: 600;
     margin-bottom: 10px;
 }
 .about .about-content .right .text span{
     color: navy;
 }
 .about .about-content .right p{
     text-align: justify;
 }
 .about .about-content .right a{
    display: inline-block;
    background: #000080;
    color: #fff;
    font-size: 20px;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid #000080;
    transform: all 0.3s ease-out;
 }
 .about .about-content .right a:hover{
     color: navy;
     background: none;
 }
 /*Services section styling*/
 .services,.teams{
     color: #fff;
     background: #111;
 }
 .services .title::before,
 .teams .title::before{
     background: #fff;
 }

 .services .title::after,
 .teams .title::after{
     background: #111;
     content: "what i provide";
     
 }
 .services .serv-content .card{
      width: calc(33% - 20px);
      background: #222;
      text-align: center;
      border-radius: 6px;
      padding: 20px 25px;
      cursor: pointer;
      transition: all 0.3s ease;
 }
 .services .serv-content .card .box{
    transition: all 0.3s ease;
}
.services .serv-content .card:hover .box{
    transform: scale(1.05);
}
.services .serv-content .card:hover {
   background: navy;
}
.services .serv-content .card:hover i {
    font-size: 50px;
    color: navy;
    transition: color 0.3s ease;
 }

 .services .serv-content .card i{
     font-size: 50px;
     color: navy;
 }
 .services .serv-content .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px;
}

/* skills section styling*/
.skills .title::after{
    content: "what i know";
}
.skills .skills-content .column{
    width: calc(50% - 30px);
}
.skills .skills-content .left .text{
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
}
.skills .skills-content .left p{
    text-align: justify;
}
.skills .skills-content .left a{
    display: inline-block;
    background: #000080;
    color: #fff;
    font-size: 18px;
    padding: 8px 16px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid #000080;
    transform: all 0.3s ease-out;
    
}
.skills .skills-content .left a:hover{
    color: navy;
    background: none;
}

.skills .skills-content .right .bars{
    margin-bottom: 15px;
}
.skills .skills-content .right .info{
    display: flex;
    margin-bottom: 5px;
    align-items: center;
    justify-content: space-between;
}
.skills .skills-content .right span{
   font-weight: 500;
   font-size: 18px;
}
.skills .skills-content .right .line{
    height: 5px;
    width: 100%;
    background: lightgray;
    position: relative;
}
.skills .skills-content .right .line::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 80%;
    left: 0;
    top: 0;
    background: navy;

}
.skills .skills-content .right .html::before{
 width: 90%;
}
.skills .skills-content .right .css::before{
    width: 90%;
}
.skills .skills-content .right .Bts::before{
    width: 90%;
}
.skills .skills-content .right .react::before{
       width: 80%;
}
.skills .skills-content .right .Php::before{
        width: 90%;
}
.skills .skills-content .right .laraval::before{
           width: 70%;
}
.skills .skills-content .right .node::before{
            width: 60%;
}
/* teams styling section*/
.teams .title::after{
    content: "who with me";
}
.teams .carousel .card{
    background: #222;
    border-radius: 6px;
    padding: 25px 35px;
    text-align: center;
} 
.teams .carousel .card .box{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}  
.teams .carousel .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}     
.teams .carousel .card img{
    height: 150px;
    width: 150px;
    object-fit: cover;
    border-radius: 50%;
    border: 5px solid navy;
}


/*media quries*/
@media(max-width: 1300px){
    .home .max-width{
        margin-left: 0px;
    }
 
 }
@media(max-width: 1104px){
    .about .about-content .left img{
        height: 350px;
        width: 350px;

     }

}
@media(max-width: 991px){
    .max-width{
        padding: 0 50px;
    }

}

@media(max-width: 947px){
    .max-width{
        padding:0 50px;
    }
    .menu-button{
        display: block;
        z-index: 999;
    }
    .menu-button i.active:before{
        content: "\f00d";
    }
    .navbar .menu{
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        background: #111;
        text-align: center;
        padding-top: 80px;
        transition: all 0.3s ease;
        
    }
    .navbar .menu.active{
        left:0;
    }
    .navbar .menu li{
        display: block;  
    }
    .navbar .menu li a{
        display:inline-block;
        margin: 20px 0;
        font-size: 25px; 
       
    }
    
    .home .home-content .text-2{
        font-size: 70px;
    }
    .home .home-content .text-3 {
        font-size: 35px;
    }
    .home .home-content a{
        font-size: 23px;
        padding: 10px 30px;
    }
    .max-width{
        max-width: 800px;
    }

    .about .about-content .column{
        width: 100%;
    }
    .about .about-content .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;
    }
    .about .about-content .right{
        flex: 100%;
    }
    .services .serv-content .card{
        width: calc(50% - 10px);
        margin-bottom: 20px;
    }
    .skills .skills-content .column{
        width: 100%;
        margin-bottom: 35px;
    }
}
    
@media(max-width: 690px){
    .max-width{
        padding: 0 23px;
    }
    .home .home-content .text-2{
        font-size: 60px;
    }
    .home .home-content .text-3{
        font-size: 32px;
    }
    .home .home-content a{
        font-size: 23px;
        
    }
    .services .serv-content .card{
        width: 100%;
    }
}

@media(max-width: 500px){ 
    
    .home .home-content .text-3{
        font-size: 50px;
    }
    .home .home-content .text-3 {
        font-size: 27px;
    }

}